Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.solutions.identity.admin
Class ClaimsAdmin

    java.lang.Object
      org.wso2.solutions.identity.admin.ClaimsAdmin

    public class ClaimsAdmin

extends java.lang.Object

Constructor Summary
`ClaimsAdmin()`

Method Summary
`void` | `createClaim(ClaimDO claim)`
`void` | `createClaim(java.lang.String dialectUri, java.lang.String uri, java.lang.String displayTag, java.lang.String description)`
`void` | `createDialect(java.lang.String dialectUri, java.lang.String dialectInfo)`
`void` | `deleteClaim(ClaimDO claim)`
`ClaimDO` | `findClaim(java.lang.Long id)`
`ClaimDO` | `findClaimByURI(java.lang.String value)`
`ClaimDO[]` | `getAllClaims()`
`DialectDO[]` | `getAllDialects()`
`ClaimDO[]` | `getAllMappedClaims()`
`ClaimDO[]` | `getAllMappedEnabledClaims()`
`ClaimDO[]` | `getAllSupportedClaims()`
`DialectDO` | `getDialect(java.lang.String uri)`
`void` | `resetClaimMappings()`
`void` | `updateClaim(ClaimDO claim)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClaimsAdmin

    public ClaimsAdmin()
                throws IdentityProviderException

Throws:
  `IdentityProviderException`

Method Detail

### createClaim

    public void createClaim(ClaimDO claim)
                     throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### createClaim

    public void createClaim(java.lang.String dialectUri,
                            java.lang.String uri,
                            java.lang.String displayTag,
                            java.lang.String description)
                     throws IdentityProviderException

  Throws:
    `IdentityProviderException`

### createDialect

    public void createDialect(java.lang.String dialectUri,
                              java.lang.String dialectInfo)
                       throws IdentityProviderException

  Throws:
    `IdentityProviderException`

### getAllClaims

    public ClaimDO[] getAllClaims()

### updateClaim

    public void updateClaim(ClaimDO claim)
                     throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### deleteClaim

    public void deleteClaim(ClaimDO claim)

### findClaimByURI

    public ClaimDO findClaimByURI(java.lang.String value)

### findClaim

    public ClaimDO findClaim(java.lang.Long id)

### getAllDialects

    public DialectDO[] getAllDialects()

### getDialect

    public DialectDO getDialect(java.lang.String uri)

### getAllSupportedClaims

    public ClaimDO[] getAllSupportedClaims()

### getAllMappedClaims

    public ClaimDO[] getAllMappedClaims()

### getAllMappedEnabledClaims

    public ClaimDO[] getAllMappedEnabledClaims()

### resetClaimMappings

    public void resetClaimMappings()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD